# RCSid:
#	$Id: Makefile.inc,v 1.20 2009/12/18 17:09:09 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

.ifndef _ssl_inc_
_ssl_inc_=yes

USE_SSL?=yes
.ifdef PROG
DPLIBS += \
       ${LIBSSLFD} \
       ${LIBSSL} \
       ${LIBCRYPTO}

HOST_LIBS += ssl crypto resolv
LIBSJG=
.elifdef LIB
SRC_LIBS += ${LIBSSLFD}
.endif

.include "../Makefile.inc"

.ifndef LIBSSL
INSTALLED_LIBDIRS?= /lib /usr/lib /opt/lib /usr/pkg/lib /usr/local/lib
.for d in ${INSTALLED_LIBDIRS}
.if empty(LIBSSL) && exists($d/libssl.so)
LIBSSL?= $d/libssl.so
LIBCRYPTO?= $d/libcrypto.so
.endif
.endfor
INCLUDES_libssl?= -I${LIBSSL:H:H}/include
INCLUDES_libcrypto?= ${INCLUDES_libssl}
# make dpadd.mk look here last
HOST_LIBDIR?= ${LIBSSL:H}
.endif
.endif
